%define version 2.04
%define SOVER %{version}

#%define __x11dir /usr/X11R6
%define __x11dir /usr/X11
#%define __soext so
%define __soext a
%define __mansec 1
%define __manext 1

Summary: Dis45 - Interactive Histogram Browser
Name: dis45
Version: %{version}
Release: 10.6%{?dist}12a
License: PEP4/LBL and TOPAZ/KEK
Group: Applications/Math
Source0: dis45-%{version}.tar.gz
Source1: com_cli-%{version}.tar.gz
Patch0:  dis45-%{version}-gfortran.patch
Patch1:  com_cli-%{version}-gfortran.patch
Packager: Keifuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: %{_tmppath}/%{name}-root

%description
dis45 is a command-driven interactive histogram browsing program based
on CERN libraries.

%prep
%setup -n dis45-v%{version} -q -c -a 1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__x11dir}/{bin,lib,man/man%{__mansec}}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib

cd dis45/%{version}
%patch0 -p2 -b .gfort
cd ../../com_cli/%{version}
%patch1 -p2 -b .gfort
cd ../..


%build
cd com_cli/%{version}
xmkmf -a
make FC='gfortran -m32' CC='gcc -m32'
cd ../../dis45/%{version}
xmkmf -a
make FC='gfortran -m32' CC='gcc -m32'
cd ../..

%install
cd dis45/%{version}
install -c -m 755 dis45x $RPM_BUILD_ROOT%{__x11dir}/bin/dis45

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__x11dir}/bin/dis45
%doc dis45/%{version}/doc

%changelog
* Sun Mar  7 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.6hepx1a
- 1st release of v.2.04 built on MacOSX 10.6 for Intel Macs

* Sat Mar 22 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.5hepx1a
- 1st release of v.2.04 built on MacOSX 10.5 for Intel Macs

* Wed Mar 19 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-hepx1a
- 1st release of v.2.04 built on MacOSX 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1d
- 3rd release of v.2.04 built on MacOSX 10.4 for Intel Macs

* Fri Dec 01 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1c
- 2nd release of v.2.04 built on MacOSX 10.4 for Intel Macs
- rebuilt to link against readline5.

* Fri Oct 06 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1b
- 1st release of v.2.04 built on MacOSX 10.4 for Intel Macs

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1a
- 1st release of v.2.04 built on MacOSX 10.4

* Wed Sep 28 2005 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release built on MacOSX 10.4

* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release built on MacOSX 10.3

* Wed Sep 11 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Sat Apr 28 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

